← Back to docs
endpoints ◀ ▶
GET locci/geo/city/{city_slug}/

Single city record identified by slug.

Locci Geography

Request parameters

Name Type In Required Description Example
city_slug String Path Yes Slug of a city record. Obtain valid city slugs from the city list, nearest, or search endpoints.

Response fields

Name Type Nullable Description Example
continent_id String —
continent_name String —
continent_slug String —
country String Yes
country_flag String —
country_id String —
country_name String —
country_slug String —
formatted_latitude String —
formatted_longitude String —
lat String Yes
lon String Yes
name String —
pk Integer —
point String Yes
population Integer —
population_formatted String —
region String Yes
region_code String —
region_id String —
region_name String —
slug String Yes
timezone String Yes
timezone_formatted String —
timezone_id String —
timezone_name String —
timezone_slug String —